Subject: Re: bug#2756: move SCCS later in vc-handled-backends

From: Stefan Monnier <[email-masked]>
Date: Mon, 23 Mar 2009 19:50:14 -0400

>> What problem?  And in what way is it a fix for it?
> The fact that SCCS generates unnecessary work for all files managed by
> bzr, git, hg (which is a good number nowadays).

Unnecessary work is not a problem in and of itself.
And, if this unnecessary work is a problem for Bzr, Git, or Hg files,
it's even more problematic for all the non-revision controlled files
which additionally need to do unnecessary work to determine that they're
neither under Git, Bzr, nor Hg control.  So changing the order won't
make much of a difference, other than hide the problem in the particular
case where you're lucky enough to access a file under the right VCS.

        Stefan